package com.engine.salary.mapper.datacollection;

import com.engine.salary.entity.datacollection.po.AttendQuoteFieldSettingPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface AttendQuoteSyncSetMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<AttendQuoteFieldSettingPO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	AttendQuoteFieldSettingPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param AttendQuoteSyncSetPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(AttendQuoteFieldSettingPO AttendQuoteSyncSetPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param AttendQuoteSyncSetPO 修改的记录
     * @return 返回影响行数
     */
	int update(AttendQuoteFieldSettingPO AttendQuoteSyncSetPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param AttendQuoteSyncSetPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(AttendQuoteFieldSettingPO AttendQuoteSyncSetPO);
	
	/**
     * 删除记录
     *
     * @param AttendQuoteSyncSetPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(AttendQuoteFieldSettingPO AttendQuoteSyncSetPO);

	/**
	 * 条件查询
	 * @param param
	 * @return
	 */
	List<AttendQuoteFieldSettingPO> listSome(@Param("param")AttendQuoteFieldSettingPO param);
	
}